AbstractPluralAttributeBinding (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Class AbstractPluralAttributeBinding

    java.lang.Object
      org.hibernate.metamodel.binding.AbstractAttributeBinding
          org.hibernate.metamodel.binding.AbstractPluralAttributeBinding

All Implemented Interfaces:
  AssociationAttributeBinding, AttributeBinding, PluralAttributeBinding

Direct Known Subclasses:
  BagBinding, SetBinding

    public abstract class AbstractPluralAttributeBinding

extends AbstractAttributeBinding
implements PluralAttributeBinding

TODO : javadoc

Constructor Summary
`protected` | `AbstractPluralAttributeBinding(AttributeBindingContainer container, PluralAttribute attribute, CollectionElementNature collectionElementNature)`

Method Summary
`void` | `addFilter(String name, String condition)`
`PluralAttribute` | `getAttribute()` Obtain the attribute bound.
`int` | `getBatchSize()`
`Caching` | `getCaching()`
`CascadeStyle` | `getCascadeStyle()` Obtain the cascade style in effect for this association.
`AbstractCollectionElement` | `getCollectionElement()`
`CollectionKey` | `getCollectionKey()`
`Class<? extends CollectionPersister>` | `getCollectionPersisterClass()`
`TableSpecification` | `getCollectionTable()`
`Comparator` | `getComparator()`
`String` | `getComparatorClassName()`
`String` | `getCustomLoaderName()`
`CustomSQL` | `getCustomSqlDelete()`
`CustomSQL` | `getCustomSqlDeleteAll()`
`CustomSQL` | `getCustomSqlInsert()`
`CustomSQL` | `getCustomSqlUpdate()`
`FetchMode` | `getFetchMode()` Temporary.
`FetchStyle` | `getFetchStyle()`
`FetchTiming` | `getFetchTiming()`
`Map` | `getFilterMap()`
`String` | `getOrderBy()`
`String` | `getReferencedPropertyName()`
`String` | `getWhere()`
`boolean` | `isAssociation()`
`boolean` | `isInverse()`
`boolean` | `isMutable()`
`boolean` | `isOrphanDelete()`
`boolean` | `isSorted()`
`void` | `setBatchSize(int batchSize)`
`void` | `setCaching(Caching caching)`
`void` | `setCascadeStyles(Iterable<CascadeStyle> cascadeStyles)` Set the cascade styles in effect for this association.
`void` | `setCollectionPersisterClass(Class<? extends CollectionPersister> collectionPersisterClass)`
`void` | `setCollectionTable(Table collectionTable)`
`void` | `setComparator(Comparator comparator)`
`void` | `setCustomLoaderName(String customLoaderName)`
`void` | `setCustomSqlDelete(CustomSQL customSqlDelete)`
`void` | `setCustomSqlDeleteAll(CustomSQL customSqlDeleteAll)`
`void` | `setCustomSqlInsert(CustomSQL customSqlInsert)`
`void` | `setCustomSqlUpdate(CustomSQL customSqlUpdate)`
`void` | `setFetchStyle(FetchStyle fetchStyle)`
`void` | `setFetchTiming(FetchTiming fetchTiming)`
`void` | `setInverse(boolean inverse)`
`void` | `setMutable(boolean mutable)`
`void` | `setOrderBy(String orderBy)`
`void` | `setWhere(String where)`

Methods inherited from class org.hibernate.metamodel.binding.AbstractAttributeBinding
`addEntityReferencingAttributeBinding, getContainer, getEntityReferencingAttributeBindings, getHibernateTypeDescriptor, getMetaAttributeContext, getPropertyAccessorName, isAlternateUniqueKey, isBasicPropertyAccessor, isIncludedInOptimisticLocking, isLazy, setAlternateUniqueKey, setIncludedInOptimisticLocking, setLazy, setMetaAttributeContext, setPropertyAccessorName, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.metamodel.binding.AttributeBinding
`addEntityReferencingAttributeBinding, getContainer, getEntityReferencingAttributeBindings, getHibernateTypeDescriptor, getMetaAttributeContext, getPropertyAccessorName, isAlternateUniqueKey, isBasicPropertyAccessor, isIncludedInOptimisticLocking, isLazy, setIncludedInOptimisticLocking, setPropertyAccessorName, validate`

Constructor Detail

### AbstractPluralAttributeBinding

    protected AbstractPluralAttributeBinding(AttributeBindingContainer container,
                                             PluralAttribute attribute,
                                             CollectionElementNature collectionElementNature)

Method Detail

### getAttribute

    public PluralAttribute getAttribute()

  Description copied from interface: `AttributeBinding`
  Obtain the attribute bound.

  Specified by:
    `getAttribute` in interface `AttributeBinding`
  Specified by:
    `getAttribute` in interface `PluralAttributeBinding`
  Overrides:
    `getAttribute` in class `AbstractAttributeBinding`
  Returns:
    The attribute.

### isAssociation

    public boolean isAssociation()

  Specified by:
    `isAssociation` in interface `AttributeBinding`

### getCollectionTable

    public TableSpecification getCollectionTable()

  Specified by:
    `getCollectionTable` in interface `PluralAttributeBinding`

### setCollectionTable

    public void setCollectionTable(Table collectionTable)

### getCollectionKey

    public CollectionKey getCollectionKey()

  Specified by:
    `getCollectionKey` in interface `PluralAttributeBinding`

### getCollectionElement

    public AbstractCollectionElement getCollectionElement()

  Specified by:
    `getCollectionElement` in interface `PluralAttributeBinding`

### getCascadeStyle

    public CascadeStyle getCascadeStyle()

  Description copied from interface: `AssociationAttributeBinding`
  Obtain the cascade style in effect for this association.

  Specified by:
    `getCascadeStyle` in interface `AssociationAttributeBinding`
  Returns:
    The (potentially aggregated) cascade style.

### setCascadeStyles

    public void setCascadeStyles(Iterable<CascadeStyle> cascadeStyles)

  Description copied from interface: `AssociationAttributeBinding`
  Set the cascade styles in effect for this association.

  Specified by:
    `setCascadeStyles` in interface `AssociationAttributeBinding`
  Parameters:
    `cascadeStyles` - The cascade styles.

### isOrphanDelete

    public boolean isOrphanDelete()

  Specified by:
    `isOrphanDelete` in interface `PluralAttributeBinding`

### getFetchMode

    public FetchMode getFetchMode()

  Description copied from interface: `AssociationAttributeBinding`
  Temporary. Needed for integration with legacy org.hibernate.mapping configuration of persisters.

  Specified by:
    `getFetchMode` in interface `AssociationAttributeBinding`

### getFetchTiming

    public FetchTiming getFetchTiming()

  Specified by:
    `getFetchTiming` in interface `AssociationAttributeBinding`

### setFetchTiming

    public void setFetchTiming(FetchTiming fetchTiming)

  Specified by:
    `setFetchTiming` in interface `AssociationAttributeBinding`

### getFetchStyle

    public FetchStyle getFetchStyle()

  Specified by:
    `getFetchStyle` in interface `AssociationAttributeBinding`

### setFetchStyle

    public void setFetchStyle(FetchStyle fetchStyle)

  Specified by:
    `setFetchStyle` in interface `AssociationAttributeBinding`

### getCustomLoaderName

    public String getCustomLoaderName()

  Specified by:
    `getCustomLoaderName` in interface `PluralAttributeBinding`

### setCustomLoaderName

    public void setCustomLoaderName(String customLoaderName)

### getCustomSqlInsert

    public CustomSQL getCustomSqlInsert()

  Specified by:
    `getCustomSqlInsert` in interface `PluralAttributeBinding`

### setCustomSqlInsert

    public void setCustomSqlInsert(CustomSQL customSqlInsert)

### getCustomSqlUpdate

    public CustomSQL getCustomSqlUpdate()

  Specified by:
    `getCustomSqlUpdate` in interface `PluralAttributeBinding`

### setCustomSqlUpdate

    public void setCustomSqlUpdate(CustomSQL customSqlUpdate)

### getCustomSqlDelete

    public CustomSQL getCustomSqlDelete()

  Specified by:
    `getCustomSqlDelete` in interface `PluralAttributeBinding`

### setCustomSqlDelete

    public void setCustomSqlDelete(CustomSQL customSqlDelete)

### getCustomSqlDeleteAll

    public CustomSQL getCustomSqlDeleteAll()

  Specified by:
    `getCustomSqlDeleteAll` in interface `PluralAttributeBinding`

### setCustomSqlDeleteAll

    public void setCustomSqlDeleteAll(CustomSQL customSqlDeleteAll)

### getCollectionPersisterClass

    public Class<? extends CollectionPersister> getCollectionPersisterClass()

  Specified by:
    `getCollectionPersisterClass` in interface `PluralAttributeBinding`

### setCollectionPersisterClass

    public void setCollectionPersisterClass(Class<? extends CollectionPersister> collectionPersisterClass)

### getCaching

    public Caching getCaching()

  Specified by:
    `getCaching` in interface `PluralAttributeBinding`

### setCaching

    public void setCaching(Caching caching)

### getOrderBy

    public String getOrderBy()

  Specified by:
    `getOrderBy` in interface `PluralAttributeBinding`

### setOrderBy

    public void setOrderBy(String orderBy)

### getWhere

    public String getWhere()

  Specified by:
    `getWhere` in interface `PluralAttributeBinding`

### setWhere

    public void setWhere(String where)

### isInverse

    public boolean isInverse()

  Specified by:
    `isInverse` in interface `PluralAttributeBinding`

### setInverse

    public void setInverse(boolean inverse)

### isMutable

    public boolean isMutable()

  Specified by:
    `isMutable` in interface `PluralAttributeBinding`

### setMutable

    public void setMutable(boolean mutable)

### getBatchSize

    public int getBatchSize()

  Specified by:
    `getBatchSize` in interface `PluralAttributeBinding`

### setBatchSize

    public void setBatchSize(int batchSize)

### getReferencedPropertyName

    public String getReferencedPropertyName()

### isSorted

    public boolean isSorted()

  Specified by:
    `isSorted` in interface `PluralAttributeBinding`

### getComparator

    public Comparator getComparator()

  Specified by:
    `getComparator` in interface `PluralAttributeBinding`

### setComparator

    public void setComparator(Comparator comparator)

### getComparatorClassName

    public String getComparatorClassName()

### addFilter

    public void addFilter(String name,
                          String condition)

### getFilterMap

    public Map getFilterMap()

  Specified by:
    `getFilterMap` in interface `PluralAttributeBinding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.